
#ifndef FUNCTIONS_DOT_H_INCLUDED
#define FUNCTIONS_DOT_H_INCLUDED



 typedef struct {
	int kind;
	char *name;
	void *func;
} function_t; typedef struct frame {
	char* fname;
	strtab_t locals;
} frame_t;
 void
init_builtin_functions() ; arg_t *
exec_stmt(stmt_t *S, frame_t *frame) ; arg_t *frame_get(frame_t *F,char *name) ; void frame_kill(frame_t *F,char *name) ; void frame_set(frame_t *F,char *name,arg_t *value) ; arg_t *arglist(arg_t *L,int nr) ; token_t *toklist(token_t *L,int nr) ; void wrong_args(char *fn) ; void parse_error(char *fn,char *msg) ; arg_t* var_get(char *name,frame_t *frame) ; void var_set(char *name,arg_t *value,frame_t *frame) ; char *get_varname(arg_t *call,int idx,char *fname) ; void push_callstack(char *file,char *func) ; void pop_callstack() ; void print_callstack() ; void runtime_error(char *fn,char *msg) ; void var_kill(char *name,frame_t *frame) ;
 extern  frame_t global_frame;
#endif
