-[program "jj.c"]


int main(int argc,char **argv) {
	int loaded;
	int i;
	init_interpreter();
	-[ parse command line, begin ]
		-[ switch "-m" ]
			-[ help "Causes JJ to print messages "
				"instead of the executed commands" ]
			-[private] int messages_only;
			messages_only= 1;
		-[ switch "-v" ]
			-[ help "Prints the version number and exits" ]
			printf("version: %s\n",
				-[get program version string] );
	-[ end ]
	get_wd();
	loaded= 0;
	for(i=1;i<argc;i++) {
		ipret_file( cwd, argv[i] );
		loaded++;
	}
	if (!loaded)
		ipret_file(cwd, "jjcool");
	prepare_commands();
	run_commands();
	return 0;
}

-[ headers, begin ]
	!stdio !stdlib !string
	!errno 
-[ end ]

-[private] void init_interpreter() {
	func_t *F;
	var_init();
	func_init();
	*[ builtin functions ]
	cmd_init();
	modtimes_init();
}

char *get_current_dir_name();

-[private] void get_wd() {
	-[private] char *cwd;
	cwd= get_current_dir_name();
	var_create("$CWD", cwd);
	var_create("$HERE","");
}

