
#if 0


#endif
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <ctype.h>

#include "parser.h"
#include "table.h"
#include "main.h"

#include "functions.h"
 typedef struct {
	stmt_t *body;
	char *filename;
} userfunc_t; typedef struct callstack {
	struct callstack *prev,*next;
	char *file;
	char *func;
} callstack_t;


arg_t *blt_print(arg_t *call,frame_t *F);

arg_t *string_cat(arg_t *call,frame_t *F);

arg_t *blt_dump(arg_t *call,frame_t *F);

arg_t *blt_eval(arg_t *call,frame_t *F);

arg_t *blt_set(arg_t *call,frame_t *F);

arg_t *blt_def(arg_t *call,frame_t *F);

arg_t *blt_strsfxrep(arg_t *call,frame_t *F);

arg_t *blt_comment(arg_t *call,frame_t *F);

arg_t *blt_listtrans(arg_t *call,frame_t *F);

arg_t *blt_include(arg_t *call,frame_t *F);

arg_t *blt_cmdnew(arg_t *call,frame_t *F);

arg_t *blt_cmdset(arg_t *call,frame_t *F);

arg_t *dump_commands(arg_t *call,frame_t *F);

arg_t *blt_prgout(arg_t *call,frame_t *F);

arg_t *blt_getenv(arg_t *call,frame_t *F);

arg_t *blt_setenvkill(arg_t *call,frame_t *F);

arg_t *blt_depdir(arg_t *call,frame_t *F);

arg_t *blt_cmdmodify(arg_t *call,frame_t *F);

arg_t *strprepend(arg_t *call,frame_t *F);
 static  void
call_user_function(char *name,arg_t *call,userfunc_t *uf, frame_t *pframe) ; static  void
resolve_vars_in_arglist(arg_t *call, frame_t *frame) ; static  int resolve_var(token_t *T,frame_t *frame) ; static  void
resolve_parameters_in_body(stmt_t *body, arg_t *call) ; static  void
resolve_parameter(token_t *T,arg_t *call) ; static  void
bad_parameter(char *what) ; static  token_t *expand_variables(token_t *L, frame_t *frame) ;
 static  strtab_t functions; static  callstack_t callstack;
























































































































 void
init_builtin_functions() {
	
{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("print");
        F->func= blt_print;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("str.cat");
        F->func= string_cat;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("dump");
        F->func= blt_dump;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("eval");
        F->func= blt_eval;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("set");
        F->func= blt_set;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("def");
        F->func= blt_def;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("rep.sfx");
        F->func= blt_strsfxrep;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("comment");
        F->func= blt_comment;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("list.trans");
        F->func= blt_listtrans;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("include");
        F->func= blt_include;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("cmd.new");
        F->func= blt_cmdnew;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("cmd.set");
        F->func= blt_cmdset;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("dump.cmd");
        F->func= dump_commands;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("prgout");
        F->func= blt_prgout;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("env.get");
        F->func= blt_getenv;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("env.set.kill");
        F->func= blt_setenvkill;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("dep.dir");
        F->func= blt_depdir;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("cmd.modify");
        F->func= blt_cmdmodify;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


{
        function_t *F;
        
	(F)= (typeof(F)) malloc(sizeof(*(F)));


        F->name= strdup("str.prepend");
        F->func= strprepend;
        F->kind= 'B';
        strtab_insert(&functions, F->name,F);
}


}












 arg_t *
exec_stmt(stmt_t *S, frame_t *frame) {
	function_t *F;

	F= strtab_find(&functions,S->func);
	if (!F)
		exit(fprintf(stderr,"can not find function %s\n",S->func));

	if (F->kind=='B')  {
		arg_t* (*func)(arg_t*,frame_t*);
		func= F->func;
		return (*func)(&S->args, frame);
	} else {
		call_user_function(S->func,&S->args,F->func,frame);
	}
	return 0;
}



 arg_t *frame_get(frame_t *F,char *name) {
	return (arg_t*) strtab_find(&F->locals,name);
}

 void frame_kill(frame_t *F,char *name) {
	arg_t *current;
	current= frame_get(F, name);
	if (current) {
		arg_destroy_deep(current);
		strtab_remove(&F->locals, name);
	}
}





 void frame_set(frame_t *F,char *name,arg_t *value) {
	arg_t *current;
	current= frame_get(F, name);
	if (current) {
		arg_destroy_deep(current);
		strtab_remove(&F->locals, name);
	}
	
	strtab_insert(&F->locals,name, arg_copy_deep(value));
}


arg_t* blt_eval(arg_t *call, frame_t *frame) {
	arg_t *var;
	arg_t *expr;

	expr= arglist(call, 0);
	var= arglist(call,1);
	if (!expr || !var)
		wrong_args("eval");

	stmt_t *statements;
	char *err= parse_arg( expr, &statements );
	if (err)
		exit(fprintf(stderr,"%s\n",err));

	arg_t *result=0;
	stmt_t *S;
	  {
	void *N35;
	for(S=statements->next;S!=statements;S=N35)  {
		N35= S->next;

		arg_t *ret;
		ret= exec_stmt(S,frame);
		if (ret) {
			if (result)
				arg_destroy_deep(result);
			result= ret;
		}
	
    } }



	if (result) {
		if (var->tokens.next->kind!='W')
			exit(fprintf(stderr,"wrong kind of argument to function `set'\n"));
		frame_set(frame, var->tokens.next->data, result);
	}

	return 0;
}

arg_t *blt_set(arg_t *call,frame_t *frame) {
	char *varname;
	arg_t *expr;

	expr= arglist(call,0);
	if (!expr)
		wrong_args("eval");
	varname= get_varname(call,1,"set");

	arg_t *value;
	value= arg_new();

	token_t *T;
	  {
	void *N37;
	for(T=(&expr->tokens)->next;T!=(&expr->tokens);T=N37)  {
		N37= T->next;

		if (T->kind!='W' || T->data[0]!='$') {
			T= token_copy_deep(T);
			 {
	(T)->prev= ((&value->tokens))->prev; 
	(T)->next= ((&value->tokens)); 
	((&value->tokens))->prev->next= (T); 
	((&value->tokens))->prev= (T); 
}


			continue;
		}
		arg_t *A= var_get(T->data, frame);
		if (!A) {
			T= token_copy_deep(T);
			 {
	(T)->prev= ((&value->tokens))->prev; 
	(T)->next= ((&value->tokens)); 
	((&value->tokens))->prev->next= (T); 
	((&value->tokens))->prev= (T); 
}


			continue;
		}
		token_t *S;
		  {
	void *N40;
	for(S=(&A->tokens)->next;S!=(&A->tokens);S=N40)  {
		N40= S->next;

			S= token_copy_deep(S);
			 {
	(S)->prev= ((&value->tokens))->prev; 
	(S)->next= ((&value->tokens)); 
	((&value->tokens))->prev->next= (S); 
	((&value->tokens))->prev= (S); 
}


		
    } }


	
    } }



	var_set(varname, value, frame);
	free(varname);
	return 0;
}


 arg_t *arglist(arg_t *L,int nr) {
	int i=0;
	arg_t *a;
	  {
	void *N45;
	for(a=L->next;a!=L;a=N45)  {
		N45= a->next;

		if (i==nr)
			return a;
		i++;
	
    } }


	return 0;
}


arg_t *blt_def(arg_t *call, frame_t *_frame) {
	arg_t *body,*name_a;

	body= arglist(call,0);
	name_a= arglist(call,1);
	if (!body || !name_a)
		wrong_args("def");

	token_t *name= toklist(&name_a->tokens,0);
	if (!name || name->kind!='W' || name->data[0]=='$')
		wrong_args("def");

	char *err;
	stmt_t *stmts;
	err= parse_arg(body, &stmts);
	if (err)
		parse_error(name->data,err);

	 {
	function_t *F;
	F= strtab_find(&functions, name->data);
	if (F) {
		strtab_remove(&functions,name->data);
		if (F->kind=='U') {
			userfunc_t *U= F->func;
			stmtlist_destroy_deep(U->body);
			free(U);
		}
		free(F);
	}
}



	userfunc_t *U;
	
	(U)= (typeof(U)) malloc(sizeof(*(U)));


	U->body= stmts;
	U->filename= file_name;

	function_t *F;
	
	(F)= (typeof(F)) malloc(sizeof(*(F)));


	F->kind= 'U';
	F->func= U;
	F->name= strdup(name->data);
	strtab_insert(&functions, name->data, F);
	return 0;
}






 token_t *toklist(token_t *L,int nr) {
	int i=0;
	token_t *T;
	  {
	void *N52;
	for(T=L->next;T!=L;T=N52)  {
		N52= T->next;

		if (i==nr)
			return T;
		i++;
	
    } }


	return 0;
}

 void wrong_args(char *fn) {
	exit(fprintf(stderr,"wrong number or kind of arguments to function `%s'\n",fn));
}

 void parse_error(char *fn,char *msg) {
	exit(fprintf(stderr,"parse error in function %s: %s\n", fn,msg));
}

 static  void
call_user_function(char *name,arg_t *call,userfunc_t *uf, frame_t *pframe) {
	stmt_t *actual;

	actual= stmtlist_copy_deep(uf->body);
	call= arglist_copy_deep(call);

	push_callstack(uf->filename, name);

	resolve_vars_in_arglist( call, pframe );

	resolve_parameters_in_body(actual,call);

	frame_t frame;
	memset(&frame,0,sizeof(frame));
	stmt_t *S;
	  {
	void *N57;
	for(S=actual->next;S!=actual;S=N57)  {
		N57= S->next;

		arg_t *result;
		result= exec_stmt(S,&frame);
		if (result)
			arg_destroy_deep(result);
	
    } }


	 {
	arg_t *V;
	while((V=strtab_destroy(&frame.locals)))
		arg_destroy_deep(V);
}


	arglist_destroy_deep(call);
	stmtlist_destroy_deep(actual);

	pop_callstack();
}



 static  void
resolve_vars_in_arglist(arg_t *call, frame_t *frame) {
	arg_t *A;
	  {
	void *N61;
	for(A=call->next;A!=call;A=N61)  {
		N61= A->next;

		token_t *T;
		  {
	void *N62;
	for(T=(&A->tokens)->next;T!=(&A->tokens);T=N62)  {
		N62= T->next;

			if (T->kind!='W')
				continue;
			if (T->data[0]!='$')
				continue;
			if (resolve_var(T, frame)) {
				 {
	(T)->prev->next= (T)->next; 
	(T)->next->prev= (T)->prev; 
}


			}
		
    } }


	
    } }


}

 static  int resolve_var(token_t *T,frame_t *frame) {
	arg_t *value=0;
	if (islower(T->data[1]))
		value= frame_get(frame,T->data);
	if (!value)
		return 0;
	arg_t *copy= arg_copy_deep(value);
	token_t *C;
	  {
	void *N67;
	for(C=(&copy->tokens)->next;C!=(&copy->tokens);C=N67)  {
		N67= C->next;

		 {
	(C)->prev->next= (C)->next; 
	(C)->next->prev= (C)->prev; 
}


		 {
	(C)->prev= (T)->prev; 
	(C)->next= (T); 
	(T)->prev->next= (C); 
	(T)->prev= (C); 
}


	
    } }


	free(copy);
	return 1;
}

 static  void
resolve_parameters_in_body(stmt_t *body, arg_t *call) {
	stmt_t *S;
	  {
	void *N72;
	for(S=body->next;S!=body;S=N72)  {
		N72= S->next;

		arg_t *A;
		  {
	void *N73;
	for(A=(&S->args)->next;A!=(&S->args);A=N73)  {
		N73= A->next;

			token_t *T;
			  {
	void *N74;
	for(T=(&A->tokens)->next;T!=(&A->tokens);T=N74)  {
		N74= T->next;

				if (T->kind!='W')
					continue;
				if (T->data[0]!='$')
					continue;
				if (!isdigit(T->data[1]))
					continue;
				resolve_parameter(T,call);
				 {
	(T)->prev->next= (T)->next; 
	(T)->next->prev= (T)->prev; 
}


			
    } }


		
    } }


	
    } }


}

 static  void
resolve_parameter(token_t *T,arg_t *call) {
	int s;
	char *u;
	u= T->data+1;
	
	s= 0;
	while(*u) {
		if (!isdigit(u[0]))
			break;
		s= s*10 + u[0]-'0';
		u++;
	}


	arg_t *arg;
	arg= arglist(call, s);
	if (!arg)
		bad_parameter(T->data);
	if (!*u) {
		token_t *param;
		  {
	void *N81;
	for(param=(&arg->tokens)->next;param!=(&arg->tokens);param=N81)  {
		N81= param->next;

			token_t *C;
			C= token_copy_deep(param);
			 {
	(C)->prev= (T)->prev; 
	(C)->next= (T); 
	(T)->prev->next= (C); 
	(T)->prev= (C); 
}


		
    } }


		return ;
	}
	if (*u!='.')
		exit(fprintf(stderr,"syntax error in positional parameter: %s\n",T->data));
	u++;
	
	s= 0;
	while(*u) {
		if (!isdigit(u[0]))
			break;
		s= s*10 + u[0]-'0';
		u++;
	}



	token_t *t;
	t= toklist(&arg->tokens, s);
	if (!t)
		bad_parameter(T->data);
	token_t *C;
	C= token_copy_deep(t);
	 {
	(C)->prev= (T)->prev; 
	(C)->next= (T); 
	(T)->prev->next= (C); 
	(T)->prev= (C); 
}


}




 static  void
bad_parameter(char *what) {
	exit(fprintf(stderr,"bad parameter %s: not so many parameters here\n",what));
}



	
 arg_t* var_get(char *name,frame_t *frame) {
	if (!strcmp(name,"$HERE"))
		return here;
	if (!strcmp(name,"$CWD"))
		return working_dir;
	if (islower(name[1]))
		return frame_get(frame, name);
	else
		return frame_get(&global_frame, name);
}

 frame_t global_frame;

 void var_set(char *name,arg_t *value,frame_t *frame) {
	if (islower(name[1]))
		frame_set(frame, name,value);
	else
		frame_set(&global_frame, name,value);
}

arg_t* blt_comment(arg_t *call,frame_t *f) {
	/* FIXME: print the comment if we are in the trace mode */
	return 0;
}

arg_t *blt_listtrans(arg_t *call,frame_t *frame) {
	arg_t *body_a= arglist(call,0);
	arg_t *src_a = arglist(call,1);
	char *iter= get_varname(call, 2, "list.trans");

	arg_t *dst_a;
	char *dst;
	dst_a= arglist(call,3);
	if (!dst_a)
		dst= 0;
	else {
		token_t *T= toklist(&dst_a->tokens,0);
		if (T->kind!='W' || T->data[0]!='$')
			wrong_args("list.trans");
		dst= T->data;
	}

	if (!body_a || !src_a)
		wrong_args("list.trans");

	arg_t *nV;
	
	(nV)= (typeof(nV)) malloc(sizeof(*(nV)));


	 {
	((&nV->tokens))->prev= ((&nV->tokens));
	((&nV->tokens))->next= ((&nV->tokens));
}



	token_t *src= expand_variables(&src_a->tokens, frame);
	token_t *W;
	  {
	void *N92;
	for(W=src->next;W!=src;W=N92)  {
		N92= W->next;

		token_t *T= token_copy_deep(W);
		if (W->kind!='W') {
			 {
	(T)->prev= ((&nV->tokens))->prev; 
	(T)->next= ((&nV->tokens)); 
	((&nV->tokens))->prev->next= (T); 
	((&nV->tokens))->prev= (T); 
}


		} else {
			arg_t *tempV= arg_new();
			 {
	(T)->prev= ((&tempV->tokens))->prev; 
	(T)->next= ((&tempV->tokens)); 
	((&tempV->tokens))->prev->next= (T); 
	((&tempV->tokens))->prev= (T); 
}


			/* frame_set does the deallocation so we dont 
			    need to remember tempV */
			frame_set(frame, iter, tempV);

			stmt_t *statements;
			char *err;
			err= parse_arg(body_a, &statements);
			if (err)
				parse_error("list.trans",err);
			stmt_t *S;
			arg_t *result=0;
			  {
	void *N95;
	for(S=statements->next;S!=statements;S=N95)  {
		N95= S->next;

				arg_t *ret;
				ret= exec_stmt(S, frame);
				if (ret) {
					if (result)
						arg_destroy_deep(result);
					result= ret;
				}
			
    } }



			if (result) {
				  {
	void *N97;
	for(T=(&result->tokens)->next;T!=(&result->tokens);T=N97)  {
		N97= T->next;

					 {
	(T)->prev->next= (T)->next; 
	(T)->next->prev= (T)->prev; 
}


					 {
	(T)->prev= ((&nV->tokens))->prev; 
	(T)->next= ((&nV->tokens)); 
	((&nV->tokens))->prev->next= (T); 
	((&nV->tokens))->prev= (T); 
}


				
    } }


				free(result);
			}
		}
	
    } }



	if (dst)
		var_set(dst, nV, frame);
	else
		arg_destroy_deep(nV);
	return 0;
}

 static  token_t *expand_variables(token_t *L, frame_t *frame) {
	token_t *T;
	token_t *nL= token_new();
	
	  {
	void *N103;
	for(T=L->next;T!=L;T=N103)  {
		N103= T->next;

		if (T->kind!='W' || T->data[0]!='$') {
			token_t *C= token_copy_deep(T);
			 {
	(C)->prev= (nL)->prev; 
	(C)->next= (nL); 
	(nL)->prev->next= (C); 
	(nL)->prev= (C); 
}


			continue;
		}
		arg_t *A= var_get(T->data, frame);
		if (!A) {
			token_t *C= token_copy_deep(T);
			 {
	(C)->prev= (nL)->prev; 
	(C)->next= (nL); 
	(nL)->prev->next= (C); 
	(nL)->prev= (C); 
}


		} else {
			token_t *S;
			  {
	void *N106;
	for(S=(&A->tokens)->next;S!=(&A->tokens);S=N106)  {
		N106= S->next;

				token_t *C= token_copy_deep(S);
				 {
	(C)->prev= (nL)->prev; 
	(C)->next= (nL); 
	(nL)->prev->next= (C); 
	(nL)->prev= (C); 
}


			
    } }


		}
	
    } }



	return nL;
}

 char *get_varname(arg_t *call,int idx,char *fname) {
	arg_t *A;
	token_t *T;
	A= arglist(call,idx);
	if (!A)
		wrong_args(fname);
	T= toklist(&A->tokens, 0);
	if (!T || T->kind!='W' || T->data[0]!='$')
		wrong_args(fname);
	return T->data;
}





 void push_callstack(char *file,char *func) {
	callstack_t *C;
	
	(C)= (typeof(C)) malloc(sizeof(*(C)));


	C->file= file;
	C->func= func;

	if (!callstack.prev)
		 {
	((&callstack))->prev= ((&callstack));
	((&callstack))->next= ((&callstack));
}


	 {
	(C)->prev= ((&callstack))->prev; 
	(C)->next= ((&callstack)); 
	((&callstack))->prev->next= (C); 
	((&callstack))->prev= (C); 
}


}

 void pop_callstack() {
	callstack_t *C;
	C= callstack.prev;
	if (C!=&callstack) {
		 {
	(C)->prev->next= (C)->next; 
	(C)->next->prev= (C)->prev; 
}


		free(C);
	}
}

 void print_callstack() {
	callstack_t *C;
	  {
	void *N120;
	for(C=(&callstack)->next;C!=(&callstack);C=N120)  {
		N120= C->next;

		fprintf(stderr,"file %s  function %s\n", C->file, C->func);
	
    } }


}

 void runtime_error(char *fn,char *msg) {
	fprintf(stderr,"error in builtin function %s: %s\n",fn,msg);
	fprintf(stderr,"call stack:\n");
	print_callstack();
	exit(1);
}



 void var_kill(char *name,frame_t *frame) {
	if (!strcmp(name,"$HERE"))
		return ;
	if (!strcmp(name,"$CWD"))
		return ;
	if (islower(name[1]))
		frame_kill(frame, name);
	else
		frame_kill(&global_frame, name);
}
